Blob Blame Raw
diff -rupN praw-3.6.2/setup.py praw-3.6.2-patched/setup.py
--- praw-3.6.2/setup.py	2019-02-07 16:27:00.548816846 -0500
+++ praw-3.6.2-patched/setup.py	2019-02-07 16:27:18.261991907 -0500
@@ -14,9 +14,9 @@ with open(path.join(HERE, PACKAGE_NAME,
           encoding='utf-8') as fp:
     VERSION = re.search("__version__ = '([^']+)'", fp.read()).group(1)
 
-dependencies = ['decorator >=4.0.9, <4.1',
+dependencies = ['decorator >=4.0.9',
                 'requests >=2.3.0',
-                'six ==1.10']
+                'six >=1.10']
 
 try:
     from OpenSSL import __version__ as opensslversion
@@ -58,10 +58,10 @@ setup(name=PACKAGE_NAME,
       maintainer_email='bbzbryce@gmail.com',
       package_data={'': ['COPYING'], PACKAGE_NAME: ['*.ini']},
       packages=[PACKAGE_NAME],
-      tests_require=['betamax >=0.5.1, <0.6',
-                     'betamax-matchers >=0.2.0, <0.3',
-                     'betamax-serializers >=0.1.1, <0.2',
-                     'mock ==1.0.1'],
+      tests_require=['betamax >=0.5.1',
+                     'betamax-matchers >=0.2.0',
+                     'betamax-serializers >=0.1.1',
+                     'mock >=1.0.1'],
       test_suite='tests',
       url='https://praw.readthedocs.io/',
       version=VERSION)